#2798 closed defect (fixed)

Fix POSIX timer interval

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

See also:

https://lists.rtems.org/pipermail/users/2016-October/030714.html

Just back to RTEMS after a long time. I've build the last version (Git) 
with last compiler (4.12) and looks like a simple POSIX timer  doen't 
work anymore... It should display "Signal 14" every second but period is 
veryyyy short...and display very fast :(

Any idea? any change in the way to use POSIX with RTEMS?

See my program attached (it works fine with Linux).

I have tested with Raspberry Pi and QEMU/i386.

thx by advance

Change History (5)

comment:1 Changed on Oct 31, 2016 at 12:37:33 PM by Sebastian Huber <sebastian.huber@…>

In 3e9f4c9232277079d11814e55af9bed11106bd04/rtems:

posix: Fix timeout handling in sigtimedwait()

Update #2798.

comment:2 Changed on Oct 31, 2016 at 12:37:43 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In bb9f09f34c9bdcf4d2631a1fd317bcefd8426efb/rtems:

posix: Fix timer interval

Do not overwrite timer interval with initial interval in
_POSIX_Timer_Insert().

Close #2798.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.